Subject: Re: [forces] Item #8: Credential subsystem integration

From: "Haleplidis Evangelos" <[email-masked]>
Date: Thu, 3 Jan 2013 14:57:16 +0200

Greetings,

I don't know if we'll be able to work on this item a), but we think it's
important for virtualization so, we'll at least review the work b) and
support c) that the work must be done within the wg.

Regards,	
Evangelos Haleplidis.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Joel
> Sent: Wednesday, December 19, 2012 5:23 PM
> To: Jamal Hadi Salim
> Cc: [email-masked]
> Subject: Re: [forces] Item #8: Credential subsystem integration
> 
> I am reluctant to undertake significant security architecture work,
> particularly since this seems ill-defined at this time.
> Yours,
> Joel
> 
> On 12/19/2012 7:08 AM, Jamal Hadi Salim wrote:
> > [I am probably going to slow down on posting these given this is
> "slow
> > time" of the year and a good number of  people are not paying
> > attention.]
> >
> > What it is
> > ------------
> > When ForCES was first initiated, it was intended to work in an
> > environment where a single organization would own the NE. Over the
> > years, given the expressive power of the ForCES architecture, it has
> > found use in a multi-application environment (possibly apps being
> from
> > multi
> > organizations) with those apps sharing the resources.
> > Items #5(Northbound interface/Services definition) and #7(Network
> > virtualization) discussed earlier have a fit with such a subsystem.
> >
> > ForCES PL uses security services provided by the ForCES TML.  The TML
> > provides security services such as endpoint authentication service,
> > message authentication service, and confidentiality service.
> > Additionally, the LFB components can be described to have world (to
> > all
> > applications) access control list in the form of read/write
> permissions.
> > The above are insufficient for a multi-application, multi-
> organization
> > environment.
> >
> > Why this is needed:
> > --------------------
> > ForCES at the moment lacks the definition to allow for multiple
> > organizations and/or multiple applications to work in the same
> environment.
> > ForCES is already being used in a multi-application environment and a
> > multi-organization environment is a natural fit.
> >
> > Please respond whether you:
> > a) are interested in doing the work
> > b) will review the work
> > c) find the work interesting and it should be done in the WG
> > d) do not think we should do this work
> >
> > cheers,
> > jamal
> > _______________________________________________
> > forces mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/forces
> >
> _______________________________________________
> forces mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/forces